inez/urls.py
from django.urls import path
from . import views

app_name = 'inez'

urlpatterns = [
    path('', views.homepage, name='homepage'),
    path('testimonial/', views.testimonial, name='testimonial'),
]

ppw_adopsi_hewan/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

from . import views

urlpatterns = [
    path('admin/', admin.site.urls),
    # path('', views.index, name='contoh'),
    path('', include('alghi.urls')),
    path('', include('shannia.urls')),
    path('', include('inez.urls')),
    path('', include('yoga.urls')),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL,
        document_root=settings.MEDIA_ROOT)

inez/models.py
from django.db import models

# Create your models here.
class Testimonial(models.Model):
    name = models.CharField(max_length=50)
    occupation = models.CharField(max_length=50)
    testimonial = models.TextField()

inez/forms.py
from django import forms
from .models import Testimonial
from django.forms import ModelForm

class TestimonialForm(ModelForm):
    class Meta:
        model = Testimonial
        fields = ['name', 'occupation', 'testimonial']
        labels = {
            'name' : 'Name', 'occupation' : 'Occupation', 'testimonial' : 'Testimonial'
        }
        widgets = {
            'name' : forms.TextInput(attrs={'class': 'form-control',
                                        'type' : 'text'}),
            'occupation' : forms.TextInput(attrs={'class': 'form-control',
                                        'type' : 'text'}),
            'testimonial' : forms.Textarea(attrs={'class': 'form-control',
                                        'type' : 'textarea', 'rows' : '4'}),
        }

inez/views.py
from django.shortcuts import render
from django.shortcuts import redirect
from .forms import TestimonialForm
from .models import Testimonial

from alghi.models import Pet, PhotoPet
from alghi.forms import PetForm

# Create your views here.
def homepage(request):
    data = Testimonial.objects.all()
    pet_list = Pet.objects.all()[:3]
    photo_list = PhotoPet.objects.all()[:3]

    content = {'title' : 'Testimonials',
                'data' : data,
                'pet_list' : pet_list,
                'photo_list' : photo_list}
    return render(request, 'homepage.html', content)

def testimonial(request):
    if request.method == 'POST':
        form = TestimonialForm(request.POST)
        if form.is_valid():
                post = form.save(commit=False)
                post.save()
                return redirect('inez:homepage')
    else:
        form = TestimonialForm()

    content = {'title' : 'Post Your Testimonial',
                'form' : form}

    return render(request, 'homepage.html', content)

inez/templates/homepage.html
<!DOCTYPE html>
{% extends "base.html" %}

{% load static %}

{% block title %}Welcome to AdopsiPet!{% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'css/homepage.css' %}">
{% endblock %}

{% block content %}
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
        <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
        <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
        </ol>
        <div class="carousel-inner">
            <div class="carousel-item active">
                <img class="d-block w-100" src="{% static 'images/homepage_background.jpg' %}" alt="First slide">
            </div>
            <div class="carousel-item">
                <img class="d-block w-100" src="{% static 'images/homepage_background_2.jpg' %}" alt="Second slide">
            </div>
        </div>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
        </a>
    </div>

    <div class="pet-available-section">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12" style="margin: 35px auto">
                <h1>Pet Available for Adoption</h1>
            </div>
        </div>
        <div class="row">
            {% for pet in pet_list %}
            <div class="col-xs-10 col-sm-6 col-md-3 col-lg-3 col-xl-3">
                <div class="pet-info pt-3">
                    {% for photo in photo_list %}
                        {% if photo.pet == pet %}
                            <div class="pet-photo mx-auto" style="
                                background: url('{{ photo.photo.url }}') no-repeat center center;
                                background-size: cover;
                                -webkit-background-size: cover;
                                -moz-background-size: cover;
                                -o-background-size: cover;
                            "></div>
                            <!-- <img src="{{ photo.photo.url }}" alt="pet photo"><br> -->
                        {% endif %}
                    {% endfor %}
                    <p>{{ pet.pet_name }}</p>
                    <div class="more-info">
                        <a href="/detail/{{ pet.id }}/">
                            <p>More Info</p>
                        </a>
                    </div>
                </div>
            </div>
            {% endfor %}
            <div class="col-xs-10 col-sm-6 col-md-3 col-lg-3 col-xl-3">
                <div class="more-pet">
                    <img src="{% static 'images/dog_paw.png' %}">
                    <p>More pets are waiting for you</p>
                    <div class="more-pet-info">
                        <a href="/category/">
                            <p>Meet Them</p>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="testimonial-section">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12" style="margin: 35px auto">
                <h1>Testimonials</h1>
            </div>
        </div>
        
        <div class="row">
            {% for list in data %}
            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                <div class="testimonial">
                    <div class="row">
                        <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6">
                            <img src="{% static 'images/icon.jpg' %}">
                            <p style="font-size: 18px">{{ list.name }}</p>
                            <p style="font-size: 16px">{{ list.occupation }}</p>
                        </div>
                        <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6">
                            <p style="color: #555555; font-size: 18px; margin: 50% auto">{{ list.testimonial }}</p> 
                        </div>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>

    <div class="form-testimonial-section">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12" style="margin: 35px auto">
                <h1>Post Your Testimonial</h1>
            </div>
        </div>

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                <form method="POST" action="{% url 'inez:testimonial' %}">
                    {% csrf_token %}
                    <div class="form-group">
                        <label for="id_name">Name :</label>
                        <input class="form-control" type="text" name="name" maxlength="50" required="" id="id_name">
                    </div>
                    <div class="form-group">
                        <label for="id_occupation">Occupation :</label>
                        <input class="form-control" type="text" name="occupation" maxlength="50" required="" id="id_occupation">
                    </div>
                    <div class="form-group">
                        <label for="id_testimonial">Testimonial :</label>
                        <textarea class="form-control" name="testimonial" rows="4" maxlength="500" required="" id="id_testimonial"></textarea>
                    </div>

                    <button type="submit" class="btn btn-light"
                    style="background-color: #E85900; color: white; border-radius: 10px;
                    margin: 2.5% auto; float: right;
                    font-family: BalooThambi">Send</button>
                </form>
            </div>
        </div>
    </div>
{% endblock %}